Bug 186988 - maintainer update: science/afni
Summary: maintainer update: science/afni
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-23 20:20 UTC by Jason W. Bacon
Modified: 2014-06-17 14:42 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (27.40 KB, patch)
2014-02-23 20:20 UTC, Jason W. Bacon
no flags Details | Diff
Patch to bring AFNI port up-to-date with ports system. (28.86 KB, patch)
2014-06-09 13:32 UTC, Jason W. Bacon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2014-02-23 20:20:00 UTC
Fixes BROKEN port for 10.0-RELEASE, eliminates NO_STAGE, and unbundles more dependencies.

Fix: Patch attached with submission follows:
Comment 1 Carlo Strub freebsd_committer 2014-06-02 18:55:03 UTC
Unfortunately, your patch cannot be applied cleanly. Would you mind resubmitting a new patch please.
Comment 2 Jason W. Bacon freebsd_committer 2014-06-09 13:32:29 UTC
Created attachment 143565 [details]
Patch to bring AFNI port up-to-date with ports system.
Comment 3 Jason W. Bacon freebsd_committer 2014-06-09 13:34:13 UTC
Sorry, I either overlooked or didn't receive an email for the feedback and assumed committers were just busy with bigger issues.  A just submitted a new patch.
Comment 4 Rene Ladan freebsd_committer 2014-06-17 12:52:04 UTC
The SHEBANGFIX part of the patch does not make sense, since it replaces "/bin/tcsh" with "/bin/tcsh", so this can be left out.

Other changes:
- remove commented-out NO_STAGE
- replace NOPORTDOCS by PORT_OPTIONS:MDOCS
- replace bsd.port.pre.mk by bsd.port.options.mk and bsd.port.post.mk by bsd.port.mk
- remove unneeded displaying of pkg-message in post-install
Comment 5 commit-hook freebsd_committer 2014-06-17 14:41:20 UTC
A commit references this bug:

Author: rene
Date: Tue Jun 17 14:41:07 UTC 2014
New revision: 358125
URL: http://svnweb.freebsd.org/changeset/ports/358125

Log:
  science/afni: bring back into shape.

  - Stage support
  - Unexpire
  - Add license (GPLv2)
  - Use modern LIB_DEPENDS
  - Explicitly mention dependencies
  - Add CONFLICTS with im-*, nifticlib-* and open-usp-tukubai-*
  - Use perl5 and GCC
  - Tidy pkg-descr
  - Clean up pkg-plist
  - Bump PORTREVISION

  While here:
  - Use BROKEN_arch to avoid including bsd.port.pre.mk
  - Use PORT_OPTIONS:MDOCS instead of NOPORTDOCS
  - Remove obsolete post-install target

  PR:		186988
  Submitted by:	maintainer (jwbacon@tds.net)

Changes:
  head/science/afni/Makefile
  head/science/afni/files/Makefile.FreeBSD_PORT
  head/science/afni/files/patch-Makefile.INCLUDE
  head/science/afni/files/patch-XmHTML-Makefile
  head/science/afni/files/patch-misc_math.c
  head/science/afni/files/pkg-message.in
  head/science/afni/pkg-descr
  head/science/afni/pkg-plist